const tslint = require('gulp-tslint');

const config = GULP_ANGULAR_CONFIG.tslint;
const TS_LINT_CONFIG = {
  configuration: config.src,
  formattersDirectory: config.formattersDirectory,
  formatter: config.formatter
};

const tslinter = (tsSrc, emitError = false) => {
  return gulp.src(tsSrc)
    .pipe(tslint(TS_LINT_CONFIG))
    .pipe(tslint.report({ emitError: emitError, summarizeFailureOutput: true }));
};

exports.tslinter = tslinter;